%define anolis_release 1

Summary:         A small text editor
Name:            nano
Version:         8.0
Release:         %{anolis_release}%{?dist}
License:         GPLv3+
URL:             https://www.nano-editor.org
Source:          https://www.nano-editor.org/dist/latest/%{name}-%{version}.tar.xz
Source2:         nanorc

BuildRequires:   file-devel
BuildRequires:   gettext-devel
BuildRequires:   gcc
BuildRequires:   groff
BuildRequires:   make
BuildRequires:   pkgconfig(ncursesw)
BuildRequires:   sed
BuildRequires:   texinfo
BuildRequires:   zlib-devel
Conflicts:       filesystem < 3

%description
GNU nano is a small and friendly text editor.

%prep
%autosetup

%build
%configure
%make_build

# generate default /etc/nanorc
# - set hunspell as the default spell-checker
# - enable syntax highlighting by default
sed -e 's/^#.*set speller.*$/set speller "hunspell"/' \
    -e 's|^# \(include "/usr/share/nano/\*.nanorc"\)|\1|' \
    %{SOURCE2} doc/sample.nanorc > ./nanorc

%install
%make_install

# remove installed HTML documentation
rm -f %{buildroot}%{_docdir}/nano/{nano,nano.1,nanorc.5,rnano.1}.html

# install default /etc/nanorc
mkdir -p %{buildroot}%{_sysconfdir}
install -m 0644 ./nanorc %{buildroot}%{_sysconfdir}/nanorc

# enable all extra syntax highlighting files by default
mv %{buildroot}%{_datadir}/nano/extra/* %{buildroot}%{_datadir}/nano
rm -rf %{buildroot}%{_datadir}/nano/extra

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc doc/sample.nanorc
%doc doc/{faq,nano}.html
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/nanorc
%{_mandir}/man*/*
%{_infodir}/nano.info*
%{_datadir}/nano

%changelog
* Tue Jun 25 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.0-1
- update to 8.0

* Wed Jan 18 2023 Funda Wang <fundawang@yeah.net> - 7.2-1
- New version 7.2

* Thu Dec 15 2022 Funda Wang <fundawang@yeah.net> - 7.1-1
- New version 7.1

* Wed Nov 16 2022 Funda Wang <fundawang@yeah.net> - 7.0-1
- New version 7.0

* Mon Apr 18 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 6.2-1
- Init package from upstream v6.2
